/* @(#)42    1.2  src/rm/cat/lib/rmad.h, rm.cat, rm381, 011227a  5/18/01  14:08:03
 *
 * COMPONENT_NAME: rm.cat
 *
 * FUNCTION:
 *
 *
 * Tivoli SecureWay Risk Manager
 * (C) Copyright Tivoli Systems, Inc., an IBM Company, 2000, 2001.
 * All Rights Reserved
 * Licensed Materials - Property of IBM/Tivoli Systems
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

#ifndef _RMAD_H_
#define _RMAD_H_

#ifdef __cplusplus
extern "C"
{
#endif

/* Definition of message types for rm_send_message */
#define RM_MSG_RAW 	0
#define RM_MSG_FMT 	1

/* Definitions of status information types to query */
#define RM_INFO_VERSION	 1
#define RM_INFO_ACTIVE	 2
#define RM_INFO_ADAPTERS 3
#define RM_INFO_NUMBER	 4

#define RM_KILL_FORCE	1

#ifdef _NO_PROTO
extern int rmad_info();
extern int rmad_initialize();
extern int rmad_send_message();
extern void rmad_terminate();
#else
extern int rmad_info(int, char*, int);
extern int rmad_initialize(void);
extern int rmad_send_message(char *eventData, int eventFormat);
extern void rmad_terminate(int);
#endif /* _NO_PROTO */

#ifdef __cplusplus
}
#endif

#endif /* _RMAD_H_ */
